%global           pypi_name cftime

Name:             python-cftime
Version:          1.6.2
Release:          %mkrel 1

Summary:          Time-handling functionality from netcdf4-python
License:          MIT
Group:            Development/Python

URL:              https://pypi.org/project/cftime/
Source0:          https://pypi.io/packages/source/c/cftime/%{pypi_name}-%{version}.tar.gz

%description
Time-handling functionality from netcdf4-python.

%package -n python3-cftime
Summary:        Python3 implementation of Cftime
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3-numpy-devel

%description -n python3-cftime
Time-handling functionality from netcdf4-python.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
%__rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-cftime
%doc README.md
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Dec 04 2022 eatdirt <eatdirt> 1.6.2-1.mga9
+ Revision: 1917584
- Update to version 1.6.2

* Fri Aug 26 2022 eatdirt <eatdirt> 1.6.1-1.mga9
+ Revision: 1880497
- Update to version 1.6.1

* Thu May 05 2022 eatdirt <eatdirt> 1.6.0-1.mga9
+ Revision: 1856423
- Upgrade to version 1.6.0

* Mon Mar 28 2022 umeabot <umeabot> 1.5.0-3.mga9
+ Revision: 1829572
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 1.5.0-2.mga9
+ Revision: 1783011
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Fri Aug 27 2021 eatdirt <eatdirt> 1.5.0-1.mga9
+ Revision: 1742925
- Upgrade to version 1.5.0

* Tue Apr 20 2021 daviddavid <daviddavid> 1.3.0-2.mga9
+ Revision: 1717268
- rebuild for python 3.9

* Sun Dec 06 2020 eatdirt <eatdirt> 1.3.0-1.mga8
+ Revision: 1653711
- Upgrade to version 1.3.0

* Fri Oct 09 2020 eatdirt <eatdirt> 1.2.1-1.mga8
+ Revision: 1633016
- Upgrade to version 1.2.1

* Sat Jul 11 2020 eatdirt <eatdirt> 1.2.0-1.mga8
+ Revision: 1605148
- Upgrade to version 1.2.0

* Wed Mar 18 2020 eatdirt <eatdirt> 1.1.1-2.mga8
+ Revision: 1557817
- Add missing BR to numpy-devel
- Upgrade to version 1.1.1

* Sun Feb 16 2020 umeabot <umeabot> 1.0.3.4-4.mga8
+ Revision: 1532731
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 1.0.3.4-3.mga8
+ Revision: 1442925
- rebuild for python-3.8

* Fri Aug 30 2019 wally <wally> 1.0.3.4-2.mga8
+ Revision: 1435606
- drop python2 support
- drop unneeded pytest BR

* Tue Jan 08 2019 shlomif <shlomif> 1.0.3.4-1.mga7
+ Revision: 1352144
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1300456
- Mageia 7 Mass Rebuild

* Mon Aug 13 2018 eatdirt <eatdirt> 1.0.0-1.mga7
+ Revision: 1251342
- imported package python-cftime

